#pragma once

#include "HwmSdkAgent.h"
// demoCustomSceneContentDlg 对话框

class demoCustomSceneImageDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoCustomSceneImageDlg)

public:
	demoCustomSceneImageDlg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoCustomSceneImageDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CUSTOM_SCENE_CONTENT };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
public:
    // 保存自定义场景图标
    afx_msg void OnBnClickedButtonCustomSceneImageStore();

private:
    CEdit m_imagePath;
    CComboBox m_comboBoxScene;
    CEdit m_width;
    CEdit m_height;

public:
    afx_msg void OnBnClickedOk();
};
